*
* STATUS.PRG  5/11/99
*
* Visual dBase "STATUS" program (for SEE 3.0)
*
* PROGRAMMER:
*   Set the variables 'Pop3Server', 'Pop3UserName', and
*   'Pop3Password' below before compiling.  Also edit the
*   following INCLUDE commands with the location of 
*   SEE32.CC and KEYCODE.CC

#INCLUDE C:\TEMP\SEE32.CC
#INCLUDE C:\TEMP\KEYCODE.CC
    
Pop3Server = SPACE(20)
Pop3UserName = SPACE(20)
Pop3Password = SPACE(20)
Buffer = SPACE(2000)
Temp = SPACE(128)

*** PROGRAMMER: Edit these strings [use host name or IP address for server] ***
Pop3Server = "10.0.0.1"
Pop3UserName = "mike"
Pop3Password  = "mike" 
DiagFile = "C:\TEMP\status.log"
*** END PROGRAMMER ***

? "STATUS 05/03/99" 
Code = seeAttach(1, SEE_KEY_CODE)
Code = seeStringParam(0,SEE_LOG_FILE, DiagFile) 
* connect to POP3 server 
? "Connecting to " + Pop3Server
* set maximum connect wait to 10 seconds
Code = seeIntegerParam(0, SEE_CONNECT_WAIT, 10000)
Code = seePop3Connect(0,Pop3Server, Pop3UserName, Pop3Password)  
if Code < 0
  Code = seeErrorText(0,Code,Buffer,128)
  ? Left(Buffer,Code)
else
  * get # messages waiting  
  ? "Getting message status..."
  NbrMsg = seeGetEmailCount(0)                  
  if NbrMsg < 0
    Code = seeErrorText(0,NbrMsg,Buffer,128)
    ? Left(Buffer,Code)
  else  
    ? NbrMsg," messages waiting."
    For I = 1 to NbrMsg
      ? "----- Message ", LTRIM(STR(I)) + " -----"
      Code = seeGetEmailLines(0, I, 0, Buffer, 2000)
      if Code < 0
        Code = seeErrorText(0,Code,Buffer,128)
        ? Left(Buffer,Code)
        return
      endif
      * display "DATE: " line
      Code = seeExtractText(Buffer, "Date: ", Temp, 128)
      if Code > 0 
        ? Left(Temp,Code)
      endif
      * display "FROM: " line
      Code = seeExtractText(Buffer, "From: ", Temp, 128)
      if Code > 0 
        ?? Left(Temp,Code)
      endif
      * display "SUBJECT: " line
      Code = seeExtractText(Buffer, "Subject: ", Temp, 128)
      if Code > 0 
        ?? Left(Temp,Code)
      endif    
    Endfor  
   ? "----- END -----" 
  endif
endif
? "Done."
Code = seeClose(0)
Code = seeRelease()
return

