*--
*-- SEE32.CC 
*--
*-- For Version 3.0 of SMTP/POP3 Email Engine
*--

#define SEE_MIN_RESPONSE_WAIT  1
#define SEE_MAX_RESPONSE_WAIT  2
#define SEE_CONNECT_WAIT       3
#define SEE_DISABLE_MIME       4
#define SEE_MIN_LINE_WAIT      5
#define SEE_MAX_LINE_WAIT      6
#define SEE_QUOTED_PRINTABLE   8
#define SEE_AUTO_CALL_DRIVER   9
#define SEE_FILE_PREFIX       10
#define SEE_MAX_SMTP_WAIT     11
#define SEE_MAX_POP3_WAIT     12
#define SEE_SLEEP_TIME        13
#define SEE_DECODE_UNNAMED    14
#define SEE_SMTP_PORT         15
#define SEE_POP3_PORT         16
#define SEE_MAX_LINE_LENGTH   17
#define SEE_BLOCKING_MODE     18

#define SEE_LOG_FILE          20

#define SEE_GET_ERROR_TEXT     1
#define SEE_GET_COUNTER        2
#define SEE_GET_RESPONSE       3
#define SEE_GET_SOCK_ERROR     4

#define SEE_GET_MESSAGE_BYTES_READ  10
#define SEE_GET_ATTACH_BYTES_READ   11
#define SEE_GET_TOTAL_BYTES_READ    12
#define SEE_GET_MESSAGE_BYTES_SENT  13
#define SEE_GET_ATTACH_BYTES_SENT   14
#define SEE_GET_TOTAL_BYTES_SENT    15
#define SEE_GET_VERSION             16
#define SEE_GET_MSG_COUNT           17
#define SEE_GET_MSG_SIZE            18
#define SEE_GET_BUFFER_COUNT        19
#define SEE_GET_CONNECT_STATUS      20
#define SEE_GET_REGISTRATION        21
#define SEE_GET_ATTACH_COUNT        22
#define SEE_GET_LAST_RESPONSE       23
#define SEE_GET_VERIFY_STATUS       24
#define SEE_GET_SERVER_IP           25
#define SEE_GET_BUILD               26
#define SEE_GET_SOCKET              27

#define SEE_SET_REPLY               50
#define SEE_SET_HEADER              51

#define QUOTED_OFF   0
#define QUOTED_PLAIN 1
#define QUOTED_HTML  2

extern CLONG seeAttach(CLONG,CLONG) SEE32.DLL
extern CLONG seeClose(CLONG) SEE32.DLL
extern CLONG seeDebug(CLONG,CLONG,CSTRING,CLONG) SEE32.DLL
extern CLONG seeDecodeBuffer(CSTRING,CSTRING,CLONG) SEE32.DLL
extern CLONG seeDeleteEmail(CLONG,CLONG) SEE32.DLL
extern CLONG seeDriver(CLONG) SEE32.DLL
extern CLONG seeEncodeBuffer(CSTRING,CSTRING,CLONG) SEE32.DLL
extern CLONG seeErrorText(CLONG,CLONG,CSTRING,CLONG) SEE32.DLL
extern CLONG seeExtractText(CSTRING,CSTRING,CSTRING,CLONG) SEE32.DLL
extern CLONG seeGetEmailCount(CLONG) SEE32.DLL
extern CLONG seeGetEmailFile(CLONG,CLONG,CSTRING,CSTRING,CSTRING) SEE32.DLL
extern CLONG seeGetEmailLines(CLONG,CLONG,CLONG,CSTRING,CLONG) SEE32.DLL
extern CLONG seeGetEmailSize(CLONG,CLONG) SEE32.DLL
extern CLONG seeGetEmailUID(CLONG,CLONG,CSTRING,CLONG) SEE32.DLL
extern CLONG seeIntegerParam(CLONG,CLONG,CLONG) SEE32.DLL
extern CLONG seePop3Connect(CLONG,CSTRING,CSTRING,CSTRING) SEE32.DLL
extern CLONG seeRelease(CVOID) SEE32.DLL
extern CLONG seeSendEmail(CLONG,CSTRING,CSTRING,CSTRING,CSTRING,CSTRING,CSTRING) SEE32.DLL
extern CLONG seeSmtpConnect(CLONG,CSTRING,CSTRING,CSTRING) SEE32.DLL
extern CLONG seeStatistics(CLONG,CLONG) SEE32.DLL
extern CLONG seeStringParam(CLONG,CLONG,CSTRING) SEE32.DLL
extern CLONG seeVerifyFormat(CSTRING) SEE32.DLL
extern CLONG seeVerifyUser(CLONG,CSTRING) SEE32.DLL
